Package io.vertx.rxjava3.ext.auth.authentication

## Class AuthenticationProvider

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`
  Direct Known Subclasses:
    `ChainAuth`, `HotpAuth`, `HtdigestAuth`, `HtpasswdAuth`, `JWTAuth`, `LdapAuthentication`, `OAuth2Auth`, `PropertyFileAuthentication`, `SqlAuthentication`, `TotpAuth`, `WebAuthn4J`

      public class AuthenticationProvider
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  User-facing interface for authenticating users.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthenticationProvider>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationProvider​(AuthenticationProvider delegate)` |
    `AuthenticationProvider​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Single<User>` | `authenticate​(Credentials credentials)` | Authenticate a user.
    `boolean` | `equals​(Object o)` |
    `AuthenticationProvider` | `getDelegate()` |
    `int` | `hashCode()` |
    `static AuthenticationProvider` | `newInstance​(AuthenticationProvider arg)` |
    `Single<User>` | `rxAuthenticate​(Credentials credentials)` | Authenticate a user.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthenticationProvider> __TYPE_ARG

  - ### Constructor Detail

    - #### AuthenticationProvider

          public AuthenticationProvider​(AuthenticationProvider delegate)

    - #### AuthenticationProvider

          public AuthenticationProvider​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AuthenticationProvider getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### authenticate

          public Single<User> authenticate​(Credentials credentials)

      Authenticate a user.

      The first argument is a Credentials object containing information for authenticating the user. What this actually contains depends on the specific implementation.

      Parameters:
        `credentials` - The credentials
      Returns:
        The result future

    - #### rxAuthenticate

          public Single<User> rxAuthenticate​(Credentials credentials)

      Authenticate a user.

      The first argument is a Credentials object containing information for authenticating the user. What this actually contains depends on the specific implementation.

      Parameters:
        `credentials` - The credentials
      Returns:
        The result future

    - #### newInstance

          public static AuthenticationProvider newInstance​(AuthenticationProvider arg)